> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goteal.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Member Sigin In



## OpenAPI

````yaml POST /members/signin
openapi: 3.0.1
info:
  title: Payroll API
  description: A full flagged payroll api provided by Teal
  version: 1.0.0
servers:
  - url: https://api.sandbox.goteal.co
    description: Sandbox server for experiments
  - url: https://api.goteal.co
    description: Production server
security:
  - ApiKeyAuth: []
  - MemberBearerAuth: []
paths:
  /members/signin:
    post:
      summary: Sign in a member
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberSignInRequest'
      responses:
        '200':
          description: Successful signin
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberSignInResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
      security: []
components:
  schemas:
    MemberSignInRequest:
      type: object
      required:
        - username
        - password
      properties:
        username:
          type: string
          description: The username of the member
          example: john.doe@example.com
        password:
          type: string
          description: The password of the member
          format: password
          example: mySecurePassword123
    MemberSignInResponse:
      type: object
      required:
        - jwt
        - member
      properties:
        jwt:
          type: string
          description: JSON Web Token for authentication
          example: >-
            eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c
        member:
          $ref: '#/components/schemas/MemberResponse'
    MemberResponse:
      type: object
      required:
        - id
        - email
        - mfa_status
      properties:
        id:
          type: string
          description: Unique identifier for the member
          example: 123e4567-e89b-12d3-a456-426614174000
        email:
          type: string
          format: email
          description: Email address of the member
          example: john.doe@example.com
        role:
          type: string
          description: Role of the member
          example: Admin
        name:
          type: string
          description: Name of the member
          example: John Doe
        status:
          type: string
          description: Status of the member
          example: active
        mfa_status:
          type: string
          description: Multi-factor authentication status of the member
          example: sms
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
          description: An array of messages describing the errors
          example:
            - The request is missing the required field `name`
  responses:
    BadRequest:
      description: Bad request if one of the required parameters is missing
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    MemberBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token for authentication. The token should be the one returned by
        the "/members/signin"

````